<!doctype html>
<html lang="en">
<head>
<title>55-debian-contributors-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Introduction</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">check audience familiarity with contributors.debian.org</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">...then adapt the agenda accordingly</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Presenting a few resources:</span><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">https://bugs.debian.org/contributors.debian.org</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">https://wiki.debian.org/DebianContributors</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">https://wiki.debian.org/Teams/FrontDesk/DcSiteDevel (old todolist, needs </span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">some</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"> lots of love!)</span></ul></li></ul><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Browsing a bit, presenting key features</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Opt-in / opt-out</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Gaps of inactivity</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Handling identities</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">How to hide contributions</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">MIA</span></ul><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Creating a data source</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Creating a data source on the website</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Two methods of pushing your data:</span><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">http POST</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">python3-debiancontributors</span><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">dc-tool</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">config using Debian RFC822/Yaml-like syntax</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Data mining methods: bts, files, gitdirs, gitlogs, mailfrom, postgres, svndirs</span></ul></li></ul></li></ul><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Introducing  dcf.debian.net</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">https://salsa.debian.org/debian.net-team/requests/-/issues/19</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">https://salsa.debian.org/debian/dc-sources</span></ul><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Notes</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"> </span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">/ Ideas</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">:</span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">=============</span><br><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span><br><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Audit logs for GPG keys usage on Debian infra: https://www.enricozini.org/blog/2008/tips/audit-uploads/</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Automating dcf</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Implementing easier data mining for teams with multiple relevant repositories</span><ul class="bullet"><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">webhooks !</span></ul><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Bug(?) reported after the talk regarding contributions to the mailing lists (#1077785:)</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">certificate generation is cool, eg: https://nm.debian.org/person/$MY_ACCOUNT_NAME/certificate/ (how about one for debian contributors?)</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Maybe hiding contributions in a public space, but still being accessible by other DDs / for specifc cases (or something like that)</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">; Give every contributor the option of degree of visibility, rather than a boolean (e.g. between Public, DD-only, Private).</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">Improve MIA view text</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">, there are many "data quality" issues, most of them due to missing identity links</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6"></span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">auto-associating identities and keep them hidden by default, that would fixes many issues and possibly not bring privacy issues</span></li><li><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">*</span><span class="a_uC8S8TmVrFGFCGqR" title="a_uC8S8TmVrFGFCGqR" style="background-color:#c50dc6">People who changed their name have issues with 'extra info' in some datasources</span><span class="anonymous" title="anonymous"></span></ul>
</body>
</html>
